{% extends "base.twig" %}
{% block title %}Page acceuil{% endblock %}
{% block include_css %}
{% endblock %}
{% block content %}
    <section class="container-fluid p-5">
        <h2 class="text-center">Creer un projet</h2>
        <form method="post" action="/project/{{ mode }}">
            <div class="form-row m-5">
                <div class="form-group col-md-12">
                    <label for="name">Intitulé du projet</label>
                    <input type="text" class="form-control {% if errors is defined and errors.name is defined %} {{ "is-invalid" }} {% elseif errors is defined %} {{ "is-valid" }} {% endif %}" id="name" name="name" value="{% if project is defined %}{{ project.name }}{% endif %}" placeholder="Intitulé" required>
                    {% if errors is defined and errors.name is defined %}
                        <div class="invalid-feedback">
                            {% for error in errors.name %}
                                {{ error }}
                            {% endfor %}
                        </div>
                    {% endif %}
                </div>

            </div>

            <div class="form-row m-5">
                <div class="form-check col-md-4">
                    <input class="form-check-input" type="radio" name="visibility" id="visibility_private" value="private" {% if project is defined and project.visibility == 'private' %}{{ 'checked' }}{% endif %} required>
                    <label class="form-check-label" for="visibility_private">
                        privée
                    </label>
                </div>
                <div class="form-check col-md-4">
                    <input class="form-check-input" type="radio" name="visibility" id="visibility_intern" value="interne" {% if project is defined and project.visibility == 'interne' %}{{ 'checked' }}{% endif %} required>
                    <label class="form-check-label" for="visibility_intern">
                        interne
                    </label>
                </div>
                <div class="form-check col-md-4">
                    <input class="form-check-input" type="radio" name="visibility" id="visibility_public" value="public" {% if project is defined and project.visibility == 'public' %}{{ 'checked' }}{% endif %} required>
                    <label class="form-check-label" for="visibility_public">
                        public
                    </label>
                </div>
            </div>


            <div class="form-row m-5">
                <label for="theme">Theme du projet</label>
                <select class="form-control form-control-lg" name="theme" id="theme">
                    {% for theme in themes %}
                        <option value="{{ theme }}" {% if project is defined and project.theme == theme %}{{ 'selected' }}{% endif %}>{{ theme }}</option>
                    {% endfor %}
                </select>
            </div>


            <div class="d-flex justify-content-center">
                <button type="submit" class="btn btn-primary">Enregistrer</button>
            </div>
        </form>

    </section>

{% endblock %}